Bug 1196807 - openssh-server: Add tmpfiles.d entries
Summary: openssh-server: Add tmpfiles.d entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 19:27 UTC by Hristo Venev
Modified: 2015-04-09 09:08 UTC (History)
6 users (show)

Fixed In Version: openssh-6.6.1p1-12.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 17:16:56 UTC
Type: Bug


Attachments (Terms of Use)
proposed patch (1.27 KB, patch)
2015-03-01 21:38 UTC, Jakub Jelen
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1196805 0 unspecified CLOSED Add extra tmpfiles.d entries for /var 2021-02-22 00:41:40 UTC

Internal Links: 1196805

Description Hristo Venev 2015-02-26 19:27:00 UTC
A directory is not created by sshd:
d /var/empty/sshd 711 root root -

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-02-26 21:24:20 UTC
sshd should carry a tmpfile snippet which creates the directory without waiting for /var/empty to be created by systemd.

Comment 2 Jakub Jelen 2015-03-01 21:38:06 UTC
Created attachment 996854 [details]
proposed patch

Hi,
I'm not sure how exactly was this bug report meant but if it is only about this tmpfiles.d entry and it's installation, it should be made using this patch.

Feel free to comment, I would be more calm before sending it to rawhide.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-03-02 03:27:13 UTC
The patch looks mostly fine, except:
- "-D" should be added to the install line to create the directory
- %{buildroot} should not be mixed with $RPM_BUILD_ROOT, so the latter should be used for consistency with the rest of the spec file.

Comment 4 Jakub Jelen 2015-03-02 07:42:17 UTC
Thanks for review.
Sorry. I put here wrong patch. Of course there was also
> mkdir -p $RPM_BUILD_ROOT%{_tmpfilesdir}
but your solution seems more clean. Pushing into rawhide.

Comment 5 Fedora Update System 2015-03-02 08:26:57 UTC
openssh-6.7p1-10.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openssh-6.7p1-10.fc22

Comment 6 Fedora Update System 2015-03-02 23:07:22 UTC
Package openssh-6.7p1-10.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-6.7p1-10.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2948/openssh-6.7p1-10.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-12 12:37:35 UTC
openssh-6.7p1-11.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openssh-6.7p1-11.fc22

Comment 8 Fedora Update System 2015-03-13 17:16:56 UTC
openssh-6.7p1-10.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-15 10:57:16 UTC
openssh-6.7p1-11.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-30 12:43:16 UTC
openssh-6.6.1p1-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openssh-6.6.1p1-12.fc21

Comment 11 Fedora Update System 2015-04-09 09:08:09 UTC
openssh-6.6.1p1-12.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.